org.apache.poi.hssf.usermodel.helpers

## Class HSSFRowShifter

- java.lang.Object
- - org.apache.poi.ss.usermodel.helpers.BaseRowColShifter
  - - org.apache.poi.ss.usermodel.helpers.RowShifter
    - - org.apache.poi.hssf.usermodel.helpers.HSSFRowShifter

-     public final class HSSFRowShifter
      extends RowShifter

  Helper for shifting rows up or down

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.usermodel.helpers.RowShifter

      `sheet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSFRowShifter(HSSFSheet sh)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateConditionalFormatting(FormulaShifter formulaShifter)` Update conditional formatting
    `void` | `updateFormulas(FormulaShifter formulaShifter)` Update formulas.
    `void` | `updateHyperlinks(FormulaShifter formulaShifter)` Shift the Hyperlink anchors (not the hyperlink text, even if the hyperlink is of type LINK_DOCUMENT and refers to a cell that was shifted).
    `void` | `updateNamedRanges(FormulaShifter formulaShifter)` Update named ranges

    - ### Methods inherited from class org.apache.poi.ss.usermodel.helpers.RowShifter

      `shiftMergedRegions, validateShiftLeftParameters, validateShiftParameters`

    - ### Methods inherited from class org.apache.poi.ss.usermodel.helpers.BaseRowColShifter

      `shiftRange`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSSFRowShifter

          public HSSFRowShifter(HSSFSheet sh)

  - ### Method Detail

    - #### updateNamedRanges

          @NotImplemented
          public void updateNamedRanges(FormulaShifter formulaShifter)

      Description copied from class: `BaseRowColShifter`
      Update named ranges
      Specified by:
        `updateNamedRanges` in class `BaseRowColShifter`

    - #### updateFormulas

          @NotImplemented
          public void updateFormulas(FormulaShifter formulaShifter)

      Description copied from class: `BaseRowColShifter`
      Update formulas.
      Specified by:
        `updateFormulas` in class `BaseRowColShifter`

    - #### updateConditionalFormatting

          @NotImplemented
          public void updateConditionalFormatting(FormulaShifter formulaShifter)

      Description copied from class: `BaseRowColShifter`
      Update conditional formatting
      Specified by:
        `updateConditionalFormatting` in class `BaseRowColShifter`
      Parameters:
        `formulaShifter` - The `FormulaShifter` to use

    - #### updateHyperlinks

          @NotImplemented
          public void updateHyperlinks(FormulaShifter formulaShifter)

      Description copied from class: `BaseRowColShifter`
      Shift the Hyperlink anchors (not the hyperlink text, even if the hyperlink is of type LINK_DOCUMENT and refers to a cell that was shifted). Hyperlinks do not track the content they point to.
      Specified by:
        `updateHyperlinks` in class `BaseRowColShifter`
      Parameters:
        `formulaShifter` - the formula shifting policy

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.